Clarity

Expand all | Collapse all

'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

Jump to Best Answer
Varun Chopra

Varun Chopra01-30-2019 02:35 AM

  • 1.  'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 01-29-2019 09:01 AM

    Issue:
    When trying to run 'checkinstall' from Clarity PPM 15.5.1, execution fails with the following error:

    ------------------------------------------------------
    You are running with Java version 11+28.
    Niku requires JDK 11.0. Please update your JAVA_HOME
    setting to point to the correct JDK directory and try again.
    ------------------------------------------------------
    Environment:
    Clarity PPM 15.5.1.

     

    Can anybody help?



  • 2.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version
    Best Answer

    Broadcom Employee
    Posted 01-29-2019 09:19 AM

    Hey Varun,

     

    Its a known bug and here is the tec doc 'checkinstall' for Clarity PPM 15.5.1 fails becaus - CA Knowledge  

     

    Regards

    Suman Pramanik 



  • 3.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 01-30-2019 02:35 AM

    Thanks Very much Suman.



  • 4.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-03-2019 04:29 PM

    This is my gateway.xml in the checkinstall folder

    <!-- Copyright (c) 2011, CA Inc.  All rights reserved. -->
    <project name="gateway" default="gateway" basedir=".">

     

      <property name="target.ant.file" value="checkinstall.xml"/>

     


      <target name="gateway">
        <property name="check.install.target" value="checkinstall" />
        <condition property="j2sdk.pass">
          <contains string="${java.version}" substring="11.*"/>
        </condition>
        <fail unless="j2sdk.pass">

     

          FAILURE: INCORRECT JAVA VERSION
          ------------------------------------------------------
          You are running with Java version ${java.vm.version}.
          Niku requires JDK 11.0. Please update your JAVA_HOME
          setting to point to the correct JDK directory and try again.
          ------------------------------------------------------
        </fail>
        <ant antfile="${target.ant.file}" target="${check.install.target}"/>
      </target>
    </project>

     

    this is how my checkinstall goes

     

    D:\1551\checkinstall>checkinstall
    Buildfile: D:\1551\checkinstall\gateway.xml

     

    gateway:

     

    BUILD FAILED
    D:\1551\checkinstall\gateway.xml:12: FAILURE: INCORRECT JAVA VERSION
          ------------------------------------------------------
          You are running with Java version 11+28.
          Niku requires JDK 11.0. Please update your JAVA_HOME
          setting to point to the correct JDK directory and try again.
          ------------------------------------------------------

     

    Total time: 0 seconds

     

    D:\1551\checkinstall>

     

    SumanPramanik  please advice

    What do I do next the get past the error?



  • 5.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Broadcom Employee
    Posted 02-04-2019 01:25 AM

    Can you please try setting it to:

    <contains string="${java.version}" substring="11"/>

    and see if ti makes a difference?



  • 6.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-04-2019 01:44 AM

    Thanks, Marc_Buigues.

     

    I have upgraded our sandbox environment already but will surely test this while upgrading our Development environment.

     

    Br,

    Varun 



  • 7.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-04-2019 02:55 AM

    Thanks Marc_Buigues 

    When I do that the checkinstall does not complete. I get

    D:\1551\checkinstall>checkinstall
    Buildfile: D:\1551\checkinstall\gateway.xml

     

    gateway:

     

    init:
    Created dir: D:\1551\checkinstall\check-logs

     

    checkinstall:

     

    Clarity Home Directory [D:\1551\checkinstall] :

     

    and it does not go any further

     

    If I set

    <contains string="${java.version}" substring="10.*"/>

    I get the same error

     

    BUILD FAILED
    D:\1551\checkinstall\gateway.xml:12: FAILURE: INCORRECT JAVA VERSION
          ------------------------------------------------------
          You are running with Java version 11+28.
          Niku requires JDK 11.0. Please update your JAVA_HOME
          setting to point to the correct JDK directory and try again.
          -----------------------------------------------------

     

    So when launching checkinstall from the checkinstall folder it does not pay any attention the numbers in the java version test. It doe pay attention to the format though. If it is not xx.x it does not complete.

     

    What would be the hack to skip the java version test?



  • 8.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Broadcom Employee
    Posted 02-04-2019 02:58 AM

    Hi Martti

     

    What is your source version where you are running the check install and what version of Java you are using?

     

    Regards
    Suman Pramanik 



  • 9.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-04-2019 03:21 AM

    Where would I see the source version prior to installation?

    I am using DVD500000000002212.iso which is for 15.5.1.

    I am running checkinstall from folder D:\1551\checkinstall

    d:\1551 is the folder on the server where I have copied the contents of the DVD and unjarred the install.jar

     

    Checkinstall version is

    # Full version number
    version=1.3.0.36
    release=1.3.0

     

    Java version is the one that came with the install package

    D:\1551\checkinstall>java -version
    java version "11" 2018-09-25
    Java(TM) SE Runtime Environment 18.9 (build 11+28)
    Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11+28, mixed mode)



  • 10.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Broadcom Employee
    Posted 02-04-2019 03:24 AM

    Hi Martti

     

    So this is a new installation you are doing and not upgrade? Did you install Java 11 on the server? 

     

    Regards

    Suman Pramanik 



  • 11.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-04-2019 03:29 AM

    I see. No it is not a new installation. The source is 15.5.0 and java is installed on the server D:\Java folder.



  • 12.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Broadcom Employee
    Posted 02-04-2019 03:32 AM

    What is the version of Java version you have? 

     

    Regards

    Suman Pramanik 



  • 13.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-04-2019 03:34 AM

    Java version is the one that came with the install package

    D:\1551\checkinstall>java -version
    java version "11" 2018-09-25
    Java(TM) SE Runtime Environment 18.9 (build 11+28)
    Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11+28, mixed mode)



  • 14.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-04-2019 03:36 AM

    Installed from

     

    jdk-11u28-windows-x64.exe



  • 15.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Broadcom Employee
    Posted 02-04-2019 03:39 AM

    Thanks Martti

     

    You have multiple java i.e java 8 as well as java 11. Java 8 for 15.5 and Java 11 for 15.5.1 

     

    Please go ahead and update the gateway.xml 

     

    <target name="gateway">
        <property name="check.install.target" value="checkinstall" />
        <condition property="j2sdk.pass">
          <contains string="${java.version}" substring="1.8"/>
        </condition>
        <fail unless="j2sdk.pass">

     

    Regards

    Suman Pramanik 



  • 16.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-04-2019 03:47 AM

    My understanding is that I uninstalled the java that came with 15.5 and consequently do not see that in installed programs

     

    When I edit gateway.xml with

    <contains string="${java.version}" substring="1.8"/>

     

    I still get

    BUILD FAILED
    D:\1551\checkinstall\gateway.xml:12: FAILURE: INCORRECT JAVA VERSION
          ------------------------------------------------------
          You are running with Java version 11+28.
          Niku requires JDK 11.0. Please update your JAVA_HOME
          setting to point to the correct JDK directory and try again.
          -----------------------------------------------------

     

    As said before it does not seem to have what numbers I have in gateway.xml as long as they are separated with a period.



  • 17.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Broadcom Employee
    Posted 02-04-2019 03:51 AM

    Hi Martii

     

    Ideally for an upgrade you need to keep both the versions of Java. Even if you have uninstalled the Java 8 and installed Java 11. What is the path variable as well as Java_home set?

     

    Regards

    Suman Pramanik 



  • 18.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-04-2019 03:57 AM

    This far in upgrades I have deleted the old java version and installed the new version in the same folder. That way there is no need to fiddle with the JAVA_HOME

     

    To me it seems that checkinstall is clearly seeing the installed version of jave, but it seems that the test is not performed against the numbers in the gateway.xml but against something else.



  • 19.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Broadcom Employee
    Posted 02-04-2019 04:10 AM

    Hi Martii

     

    The check happens at gateway.xml as far as I am aware and we saw a bug and hence asked to update. Please log a  case if you want us to take a look at the environment. 

     

    Regards

    Suman Pramanik 



  • 20.  Re: 'checkinstall' for Clarity PPM 15.5.1 fails due to JAVA version

    Posted 02-04-2019 04:12 AM

    OK thank you for your help